<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" version="4.0" encoding="UTF-8" indent="yes" />
	<xsl:decimal-format NaN="---" />
	<xsl:template match="/">
		<html>
		<head>
		<title>書籍情報一覧</title>
		</head>
		<body>
		<table border="1" cellspacing="0" cellpadding="4"
			style="background-color:White;border-color:#CC9966;border-width:1px;">
		<tr style="color:#FFFFCC;background-color:#990000;text-align:center">
			<th>書名</th><th>カテゴリ</th><th>著者</th><th>価格</th>
			<th>出版社</th><th>刊行日</th>
		</tr>
		<xsl:apply-templates select="books" />
		</table>
		</body>
		</html>
	</xsl:template>
	<xsl:template match="books">
		<xsl:for-each select="book">
			<xsl:sort select="publish" data-type="text" order="descending" />
			<xsl:sort select="published" data-type="text" order="ascending" />
			<tr>
				<td>
					<a>
						<xsl:attribute name="href">http://www.wings.msn.to/index.php/-/A-03/<xsl:value-of select="@isbn" />/</xsl:attribute>
						<xsl:value-of select="title" />
					</a>
				</td>
				<td><xsl:value-of select="category" /></td>
				<td><xsl:value-of select="author" /></td>
				<td><xsl:value-of select="format-number(price,'#,###円')" /></td>
				<td><xsl:value-of select="publish" /></td>
				<td>
					<xsl:if test="not(published)">不明</xsl:if>
					<xsl:value-of select="published" />
				</td>
			</tr>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
