<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" version="4.0" encoding="UTF-8" indent="yes" />
	<xsl:attribute-set name="image">
		<xsl:attribute name="width">108</xsl:attribute>
		<xsl:attribute name="height">150</xsl:attribute>
	</xsl:attribute-set>
	<xsl:template match="/">
		<html>
		<head>
		<title>書籍情報</title>
		</head>
		<body>
		<xsl:apply-templates />
		</body>
		</html>
	</xsl:template>
	<xsl:template match="book">
		<table border="0">
			<tr>
			<td width="150">
				<xsl:element name="img" use-attribute-sets="image">
					<xsl:attribute name="src">
						http://www.wings.msn.to/books/<xsl:value-of select="@isbn" />/<xsl:value-of select="@isbn" />.jpg
					</xsl:attribute>
				</xsl:element>
			</td>
			<td valign="bottom">
				<dl>
					<dt>
						<xsl:value-of select="title" /><br />
						(<xsl:value-of select="author" />・
							<xsl:value-of select="format-number(price,'#,###円')" />)
					</dt>
					<dd>
						<hr />
						<xsl:apply-templates select="description" />
					</dd>
				</dl>
			</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template match="keyword">
		<span style="font-weight:bold;">
			<xsl:value-of select="." />
		</span>
	</xsl:template>
	<xsl:template match="text()">
		<xsl:value-of select="." />
	</xsl:template>
</xsl:stylesheet>
