package chap7;

import java.io.IOException;

import javax.xml.parsers.FactoryConfigurationError;
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.parsers.SAXParserFactory;

import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXException;
import org.xml.sax.SAXNotRecognizedException;
import org.xml.sax.SAXNotSupportedException;
import org.xml.sax.SAXParseException;
import org.xml.sax.XMLReader;

public class SchemaValidation {
	public static void main(String[] args) {
		try {
			SAXParserFactory objFac=SAXParserFactory.newInstance();
			XMLReader objXml=objFac.newSAXParser().getXMLReader();
			objXml.setErrorHandler(new SchemaErr());
			objXml.setFeature("http://xml.org/sax/features/validation", true);
			objXml.setFeature("http://apache.org/xml/features/validation/schema",true);
			objXml.setFeature("http://xml.org/sax/features/namespaces",true);
			objXml.parse("chap7/books.xml");
			System.out.println("͂܂B");
		} catch (SAXNotRecognizedException e) {
			e.printStackTrace();
		} catch (SAXNotSupportedException e) {
			e.printStackTrace();
		} catch (FactoryConfigurationError e) {
			e.printStackTrace();
		} catch (SAXException e) {
			e.printStackTrace();
		} catch (ParserConfigurationException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
class SchemaErr implements ErrorHandler {
    public void warning(SAXParseException e) {
        System.out.println("Warning: " + e.getLineNumber() + "s");
        System.out.println(e.getMessage());
    }
    public void error(SAXParseException e) {
        System.out.println("Error: " + e.getLineNumber() +"s");
        System.out.println(e.getMessage());
    }
    public void fatalError(SAXParseException e) {
        System.out.println("Fatal Error: " + e.getLineNumber() +"s");
        System.out.println(e.getMessage());
    }
}
